UHardwareGpsSvInfo Struct Reference
Functions and types for accessing GPS H/W.

`#include <gps.h>`

Collaboration diagram for UHardwareGpsSvInfo:

## Data Fields

size_t | size
int | prn
float | snr
float | elevation
float | azimuth

## Detailed Description

Represents space vehicle (satellite) information.

Definition at line 257 of file gps.h.

## Field Documentation

float UHardwareGpsSvInfo::azimuth

Azimuth of SV in degrees.

Definition at line 267 of file gps.h.

float UHardwareGpsSvInfo::elevation

Elevation of SV in degrees.

Definition at line 265 of file gps.h.

int UHardwareGpsSvInfo::prn

Pseudo-random number for the SV.

Definition at line 261 of file gps.h.

size_t UHardwareGpsSvInfo::size

set to sizeof(UHardwareGpsSvInfo)

Definition at line 259 of file gps.h.

float UHardwareGpsSvInfo::snr

Signal to noise ratio.

Definition at line 263 of file gps.h.

The documentation for this struct was generated from the following file:

- /build/platform-api-5s2MVK/platform-api-3.0.1+16.04.20160203/include/ubuntu/hardware/gps.h